Subject: bug#19726: 24.4; When sending email, all lines starting with `from' get capitalized

From: Marek Rudnicki <[email-masked]>
Date: Thu, 29 Jan 2015 10:15:10 +0000

Hi,

I'm using GNU Emacs 24.4.1 on FreeBSD and GNU/Linux.

I noticed a strange behavior, that whenever I send a GPG signed email
from Emacs, all lines in the body (and inline attachements) starting
with `from' followed by some words, turn into `From' followed by some
words.

For example, if I send a Python script containing:

from __future__ import division

it will turn into:

>From __future__ import division

This problem occurs only when there is a secure-pgpmime-sign marker.

In order to retproduce:

emacs -Q

C-x m

C-c RET C-s

Example email (you must have working GPG with keys for [email-masked]):

-----EMAIL START-----
To: [email-masked]
Subject: from test
From: [email-masked]
--text follows this line--
<#secure method=pgpmime mode=sign>
hi

from __future__ import division

from
from asdf
from

subject
subject asdf

bye
-----EMAIL STOP-----

After sending such email or pressing `Preview' in the toolbar the
message turns into:

-----EMAIL START-----
From: [email-masked]
Subject: from test
To: [email-masked]
Date: Thu, 29 Jan 2015 11:05:00 +0100 (13 seconds ago)

hi

>From __future__ import division

from
>From asdf
from

subject
subject asdf

bye
-----EMAIL STOP-----

If you need any more information, please let me know per email.

Thank you
Marek